List an animal's behavior plans
The open plans first, each with its follow-ups, newest first. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
animals
/
{id}
/
behavior-plans
List an animal's behavior plans
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-plans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"animal_id": "<string>",
"name": "<string>",
"goal": "<string>",
"phases": [
{
"name": "<string>",
"steps": "<string>"
}
],
"starts_on": "2023-12-25",
"status": "planned",
"followups": [
{
"id": "<string>",
"recorded_on": "2023-12-25",
"progress": "none",
"outcome": "continue",
"notes": "<string>",
"recorded_by_person_id": "<string>",
"recorded_by_name": "<string>"
}
],
"template_id": "<string>",
"success_measure": "<string>",
"lead_person_id": "<string>",
"lead_name": "<string>",
"review_every_days": 183,
"next_review_on": "2023-12-25",
"medical_record_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List an animal's behavior plans
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-plans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/animals/{id}/behavior-plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"animal_id": "<string>",
"name": "<string>",
"goal": "<string>",
"phases": [
{
"name": "<string>",
"steps": "<string>"
}
],
"starts_on": "2023-12-25",
"status": "planned",
"followups": [
{
"id": "<string>",
"recorded_on": "2023-12-25",
"progress": "none",
"outcome": "continue",
"notes": "<string>",
"recorded_by_person_id": "<string>",
"recorded_by_name": "<string>"
}
],
"template_id": "<string>",
"success_measure": "<string>",
"lead_person_id": "<string>",
"lead_name": "<string>",
"review_every_days": 183,
"next_review_on": "2023-12-25",
"medical_record_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
